Ticket #115 (closed bug: fixed)

Opened 12 years ago

Last modified 8 years ago

saffireLE at 96kHz does not produce sound

Reported by: habbe Assigned to:
Priority: major Milestone: FFADO 2.1
Component: Version:
Keywords: Cc:
The device the bug applies to:

Description

I'm running Linux 2.6.24-16-rt #1 SMP PREEMPT RT x86_64 GNU/Linux and saffireLE with ffado revision 1194. I have no output sound at 96kHz (jack starts normally) although other samplerates work fine.

Change History

(follow-up: ↓ 2 ) 05/22/08 10:50:41 changed by ppalmers

This could be due to the fact that the mixer is different for the 48k and 96k modes.

(in reply to: ↑ 1 ) 05/23/08 07:13:09 changed by habbe

Replying to ppalmers:

This could be due to the fact that the mixer is different for the 48k and 96k modes.

After starting jack at 96kHz, ffadomixer won't work:

00290606385: Debug (ffado-dbus-server.cpp)[ 249] main: verbose level = 4 00290608934: Debug (ffado-dbus-server.cpp)[ 250] main: Using ffado library version: libffado 1.999.27-1194

00290824979: Debug (devicemanager.cpp)[ 509] discover: driver found for device 0 00290870899: Debug (bebob_avdevice_subunit.cpp)[ 83] discover: Discovering BeBoB::AudioSubunit?... 00290871033: Debug (avc_audiosubunit.cpp)[ 55] discover: Discovering BeBoB::AudioSubunit?... 00290871096: Debug (avc_subunit.cpp)[ 108] discoverPlugs: Discovering plugs... 00294366473: Debug (bebob_avdevice_subunit.cpp)[ 132] discoverFunctionBlocks: Discovering function blocks... 00294650548: Debug (bebob_avdevice_subunit.cpp)[ 449] discover: Discovering BeBoB::MusicSubunit?... 00294650679: Debug (avc_musicsubunit.cpp)[ 64] discover: Discovering BeBoB::MusicSubunit?... 00294650737: Debug (avc_subunit.cpp)[ 108] discoverPlugs: Discovering plugs... send oops send oops send oops send oops send oops send oops send oops send oops send oops send oops send oops 00298717877: Warning (avc_generic.cpp)[ 262] fire: no response send oops send oops send oops send oops send oops send oops send oops send oops send oops send oops send oops 00298784550: Warning (avc_generic.cpp)[ 262] fire: no response 00298785593: Error (bebob_avplug.cpp)[ 160] discoverPlugType: plug type command failed 00298785614: Error (bebob_avplug.cpp)[ 88] discover: discover: Could not discover plug type (0,12,0,0,1) 00298785619: Error (avc_subunit.cpp)[ 189] discoverPlugs: plug discover failed 00298785623: Error (avc_subunit.cpp)[ 131] discoverPlugs: destination plug discovering failed 00298785669: Error (avc_subunit.cpp)[ 99] discover: plug discovery failed 00298785676: Error (avc_unit.cpp)[ 286] enumerateSubUnits: enumerateSubUnits: Could not discover subunit_id = 0, subunit_type = 12 (Music) 00298785818: Error (avc_unit.cpp)[ 178] discover: Could not enumarate sub units 00298785828: Error (bebob_avdevice.cpp)[ 150] discover: Could not discover unit 00298785847: Error (devicemanager.cpp)[ 521] discover: could not discover device 00298786064: Debug (devicemanager.cpp)[ 551] discover: Discovery finished... 00298786078: Debug (devicemanager.cpp)[1026] showDeviceInfo: ===== Device Manager ===== 00298786084: Debug (Element.cpp)[ 103] show: Element DeviceManager? 00298786096: Debug (devicemanager.cpp)[1034] showDeviceInfo: --- IEEE1394 Service 0 --- Iso handler info: Dumping IsoHandlerManager? Stream handler information...

State: 2

00298792402: (ffado-dbus-server.cpp)[ 305] main: DBUS test service running 00298792457: (ffado-dbus-server.cpp)[ 306] main: press ctrl-c to stop it & exit 00298792472: Debug (ffado-dbus-server.cpp)[ 309] main: dispatching... No supported device found...

...and it exits with "No devices with mixer support discovered"

05/25/08 08:27:44 changed by ppalmers

  • milestone changed from FFADO 2.0 to FFADO 2.1.

This seems to be a problem in the device. It cannot handle the discovery process while running at 96k. Possible workarounds are:

  • start the dbus server before you start jackd.
  • use the discovery cache

It is very non-trivial to fix this in the driver software without slowing everything down to an unacceptable level.

I'm postponing this to 2.1 since this should not be an issue once we have the cache running.

04/08/12 05:05:50 changed by jwoithe

I think I recall a report in trac somewhere which indicated that the Saffire LE worked at 96 kHz now. If that's the case this ticket can be closed. For example, ticket #162 describes a ffado-mixer problem at 96 kHz which appears to have been dealt with, and I think others have reported their Saffire LE streaming audio at 96 kHz.

As far as I know, svn trunk uses the discovery cache now so in any case the problem described by this ticket should no longer be an issue. It would however be good to confirm this before optimistically closing it.

06/01/12 04:33:35 changed by jwoithe

  • status changed from new to closed.
  • resolution set to fixed.

No further feedback has been received in nearly 2 months, so I'll assume that this issue has been resolved as suggested in comment 4. Closing as "fixed".